package com.fs.company.service.impl.call.node;

import com.fs.common.utils.spring.SpringUtils;
import com.fs.company.mapper.CompanyWorkflowNodeMapper;
import com.fs.company.param.ExecutionContext;
import com.fs.company.vo.ExecutionResult;
import com.fs.enums.NodeTypeEnum;

import java.util.Map;

/**
 * @author MixLiu
 * @date 2026/1/28 10:59
 * @description
 */
public class OutBoundTaskNode extends AbstractWorkflowNode {
    private static final CompanyWorkflowNodeMapper companyWorkflowNodeMapper = SpringUtils.getBean(CompanyWorkflowNodeMapper.class);
    public OutBoundTaskNode(String nodeKey, String nodeName, Map<String, Object> properties) {
        super(nodeKey, nodeName, properties);
    }

    @Override
    protected ExecutionResult doContinue(ExecutionContext context) {
        return null;
    }

    @Override
    public ExecutionResult doExecute(ExecutionContext context) {
        return null;
    }

    @Override
    public NodeTypeEnum getType() {
        return NodeTypeEnum.OUTBOUND_TASK;
    }
}
